package gs.test.v0.runtime

import gs.uuid.v0.UUID
import java.time.Instant
import scala.concurrent.duration.FiniteDuration

case class SuiteExecution(
  id: UUID,
  name: String,
  documentation: Option[String],
  duration: FiniteDuration,
  countSeen: Long,
  countSucceeded: Long,
  countFailed: Long,
  countIgnored: Long,
  executedAt: Instant
)
